Name:          inetutils
Version:       2.6
Release:       1mamba
Summary:       A collection of common network programs
Group:         Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnu.org/software/inetutils/inetutils.html
Source:        ftp://ftp.gnu.org/gnu/inetutils/inetutils-%{version}.tar.gz
#Source1:       inetutils-tftpd-xinetd
Source2:       ftpd.service
Source3:       rlogin.socket
Source4:       rlogin.service
Source5:       rsh.socket
Source6:       rsh@.service
Source7:       talk.service
Source8:       talk.socket
Source9:       telnet.socket
Source10:      telnet@.service
Source11:      tftpd.service
Source12:      tftpd.socket
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
BuildRequires: libpam-devel
BuildRequires: libreadline-devel
BuildRequires: libtermcap-devel
BuildRequires: libxcrypt-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}
Provides:      ftp
Obsoletes:     ftp < 2.1
Provides:      telnet
Obsoletes:     telnet < 2.1
Requires:      traceroute
Conflicts:     tftp

%description
Inetutils is a collection of common network programs. It includes:

    * An ftp client
    * A telnet client
    * An rsh client
    * An rlogin client
	* A tftp client
    * And much more...

Most of them are improved versions of programs originally from BSD. Some others are original versions, written from scratch. 

%package servers
Group:          System/Servers
Summary:        A collection of various servers such as telnet, ftpd, rlogin
Conflicts:      ftp

%description servers
A collection of common network servers. It includes:

    * An ftp server
    * A telnet server
    * An rsh server
    * An rlogin server
	* And much more...

%package ping
Group:          Applications/Networking
Summary:        The ping and ping6 commands from GNU inetutils package
Conflicts:      iputils

%description ping
The ping and ping6 commands from GNU inetutils package.

%package tftpd
Group:          System/Servers
Summary:        A tftp server
Conflicts:      tftp-server

%description tftpd
A tftp server.


%prep
%setup -q
sed -i -e '/gets is a/d' lib/stdio.in.h

%build
%configure \
   --bindir=/bin \
   --with-wrap \
   --with-pam \
   --disable-logger \
   --disable-syslogd \
   --disable-ifconfig \
   --disable-hostname \
   --disable-whois \
   --disable-dnsdomainname \
   --disable-traceroute \
   CFLAGS="%{optflags} -fcommon"

#   --with-krb5 \
#   --with-krb4=no \
#   CFLAGS="-I%{_includedir}/et/"
%make \
%if "%{_host}" != "%{_build}"
PATHDEF_PROCNET_DEV='-DPATH_PROCNET_DEV=\"/proc/net/dev\"'
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}/bin/logger
rm -f %{buildroot}%{_mandir}/man1/logger.1*

#install -d %{buildroot}%{_sysconfdir}/xinetd.d
#cp %{SOURCE1} %{buildroot}%{_sysconfdir}/xinetd.d/tftpd

mkdir -p %{buildroot}/var/lib/tftpboot

install -D -m0644 %{SOURCE2} %{buildroot}%{_unitdir}/ftpd.service
install -D -m0644 %{SOURCE3} %{buildroot}%{_unitdir}/rlogin.socket
install -D -m0644 %{SOURCE4} %{buildroot}%{_unitdir}/rlogin.service
install -D -m0644 %{SOURCE5} %{buildroot}%{_unitdir}/rsh.socket
install -D -m0644 %{SOURCE6} %{buildroot}%{_unitdir}/rsh@.service
install -D -m0644 %{SOURCE7} %{buildroot}%{_unitdir}/talk.service
install -D -m0644 %{SOURCE8} %{buildroot}%{_unitdir}/talk.socket
install -D -m0644 %{SOURCE9} %{buildroot}%{_unitdir}/telnet.socket
install -D -m0644 %{SOURCE10} %{buildroot}%{_unitdir}/telnet@.service
install -D -m0644 %{SOURCE11} %{buildroot}%{_unitdir}/tftpd.service
install -D -m0644 %{SOURCE12} %{buildroot}%{_unitdir}/tftpd.socket

sed -i "s|@libexecdir@|%{_libexecdir}|" %{buildroot}%{_unitdir}/*.service

rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info inetutils.info
exit 0

%preun
%uninstall_info inetutils.info
exit 0

%post servers
if [ $1 -ge 1 ]; then
   systemctl -q daemon-reload
fi
:

%postun servers
if [ $1 -eq 0 ]; then
   systemctl -q daemon-reload
fi
:

%post tftpd
if [ $1 -ge 1 ]; then
   systemctl -q daemon-reload
fi
:

%postun tftpd
if [ $1 -eq 0 ]; then
   systemctl -q daemon-reload
fi
:

%files
%defattr(-,root,root)
/bin/ftp
#/bin/hostname
#/bin/ifconfig
%attr(4755,root,root) /bin/rcp
/bin/rexec
%attr(4755,root,root) /bin/rlogin
%attr(4755,root,root) /bin/rsh
/bin/talk
/bin/telnet
/bin/tftp
#/bin/whois
%{_infodir}/inetutils.info*
%{_mandir}/man1/ftp.1*
#%{_mandir}/man1/hostname.1.gz
#%{_mandir}/man1/ifconfig.1.gz
%{_mandir}/man1/rcp.1*
%{_mandir}/man1/rexec.1*
%{_mandir}/man1/rlogin.1*
%{_mandir}/man1/rsh.1*
#%{_mandir}/man1/syslogd.1.gz
%{_mandir}/man1/talk.1*
%{_mandir}/man1/telnet.1*
%{_mandir}/man1/tftp.1*
#%{_mandir}/man1/whois.1.gz
%doc AUTHORS COPYING THANKS
#%doc ChangeLog ChangeLog.0 NEWS README README-alpha TODO

%files ping
%defattr(-,root,root)
%attr(4755,root,root) /bin/ping
%attr(4755,root,root) /bin/ping6
%{_mandir}/man1/ping.1*
%{_mandir}/man1/ping6.1*

%files servers
%defattr(-,root,root)
%{_libexecdir}/ftpd
%{_libexecdir}/inetd
%{_libexecdir}/rexecd
%{_libexecdir}/rlogind
%{_libexecdir}/rshd
#%{_libexecdir}/syslogd
%{_libexecdir}/talkd
%{_libexecdir}/telnetd
%{_libexecdir}/uucpd
%{_unitdir}/ftpd.service
%{_unitdir}/rlogin.service
%{_unitdir}/rlogin.socket
%{_unitdir}/rsh.socket
%{_unitdir}/rsh@.service
%{_unitdir}/talk.service
%{_unitdir}/talk.socket
%{_unitdir}/telnet.socket
%{_unitdir}/telnet@.service
%{_mandir}/man8/ftpd.8*
%{_mandir}/man8/inetd.8*
%{_mandir}/man8/rexecd.8*
%{_mandir}/man8/rlogind.8*
%{_mandir}/man8/rshd.8*
%{_mandir}/man8/talkd.8*
%{_mandir}/man8/telnetd.8*
%{_mandir}/man8/uucpd.8*

%files tftpd
%defattr(-,root,root)
%{_libexecdir}/tftpd
%{_unitdir}/tftpd.socket
%{_unitdir}/tftpd.service
%{_mandir}/man8/tftpd.8*
%dir %attr(0750,root,root) %{_localstatedir}/lib/tftpboot

%changelog
* Sat Feb 22 2025 Automatic Build System <autodist@openmamba.org> 2.6-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Wed Oct 26 2022 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Thu Sep 02 2021 Automatic Build System <autodist@mambasoft.it> 2.2-1mamba
- automatic version update by autodist

* Sun Jul 25 2021 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Sat Feb 06 2021 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic version update by autodist

* Sun Nov 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.4-2mamba
- rebuilt with debug package

* Sun Jun 21 2015 Automatic Build System <autodist@mambasoft.it> 1.9.4-1mamba
- automatic version update by autodist

* Wed May 20 2015 Automatic Build System <autodist@mambasoft.it> 1.9.3-1mamba
- automatic update by autodist

* Mon Jan 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.2-5mamba
- path fixes for x86_64

* Sat Jun 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.2-4mamba
- disable traceroute and require better external package

* Wed Apr 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.2-3mamba
- rebuilt to fix ftp missing link to libncurses/libtermcap

* Fri Jan 24 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.2-2mamba
- disable dnsdomainname (use the one provided by net-tools)

* Thu Jan 23 2014 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic version update by autodist

* Tue Dec 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-3mamba
- disable whois provided by its own more up-to-date package
- move servers to -servers package
- add support for systemd

* Sat Nov 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-2mamba
- add subpackage inetutils-tftpd and provide xinetd configuration

* Wed Jun 13 2012 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Thu Apr 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8-4mamba
- rebuilt with --disable-ifconfig and --disable-hostname to use better tools from net-tools

* Fri Jul 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8-3mamba
- added inetutils-ping package to switch back to iputils ping and ping6

* Wed Jul 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8-2mamba
- added conflict with tftp package

* Mon Jul 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8-1mamba
- package created by autospec
